import { Component } from "@egova/flagwind-web";
import { BaseComponentModel } from "../../models/base";
/**
 * 布局组件画板组件基类 主要定义了选中、子元素选中 和删除 复制等公用逻辑
 */
export default class BaseLayoutItem extends Component {
    data: BaseComponentModel;
    index: number;
    select: BaseComponentModel;
    subSelect: BaseComponentModel | {};
    onSelect(): void;
    onClone(): void;
    onDelete(): void;
    initSelectWidget(): void;
    subSelectChange(): void;
}
